Core - Task # 67297

Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: DBAL
Created: 2015-06-04 Assigned To:

Updated: 2015-06-08 Due date:

TYPO3 Version: 7

PHP Version: 5.5

Complexity:

Sprint Focus:

Subiject: Move MySQL / DBMS field type translation into DBAL Specifics

Description

Provide a default implementation in the abstract class that mimics the current behavior and allow overrides for specific DBMS that can

resemble MySQL closer

- MySQLActualType()
- MySQLMetaType

Related issues:

related to Core - Epic # 64459: Make TYPOS run on PostgreSQL

related to Core - Bug # 67288: Field types don't get properly translated to M...
related to Core - Bug # 67290: Translation of MySQL field types to other data...
related to Core - Bug # 67362: PHP Fatal error: Cannot use 'Null' as class name

New

Resolved
Resolved
Resolved

2015-01-23
2015-06-03
2015-06-04
2015-06-09

Associated revisions

Revision b1059192 - 2015-06-08 09:10 - Morton Jonuschat

[TASK] dbal: Move MySQL / DBMS field type translation into DBMS Specifics

The function used by the DBAL provide a very coarse and generic translations
between the ADdb meta types and the MySQL native types. This results in
ambiguities that can't properly be resolved and leads to changes in the

install tool schema migration that can never be resolved.

The default DBMS specifics provided resemble the current output of the

functions and don't result in any changes to the DBMS schema.

Resolves: #67297

Related: #67290

Related: #67288

Releases: master

Change-Id: 1d26a897¢7f43520edd188e0bd2ddb158507¢c8049
Reviewed-on: http://review.typo3.org/39954

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Revision 9295cc1f - 2015-06-09 16:26 - Andreas Fernandez
[BUGFIX] DBAL: Rename null specific

Rename the null specific for PHP 7 compliance.

Resolves: #67362

Related: #67297

Releases: master

Change-Id: 14fe56c5815f84a7e8db8abd3a4eddded4faf9044
Reviewed-on: http://review.typo3.org/40123

Reviewed-by: Mathias Brodala <mbrodala@pagemachine.de>

Tested-by: Mathias Brodala <mbrodala@pagemachine.de>

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

History

#1 - 2015-06-04 21:46 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/39954

#2 - 2015-06-06 14:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39954

#3 - 2015-06-06 17:37 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/39954

#4 - 2015-06-06 17:44 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/39954

#5 - 2015-06-06 19:24 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39954

#6 - 2015-06-08 09:30 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:b105919264b042b858a8ecd5bd75¢f987521a596.
